org.aspectj.lang.reflect

## Interface SignaturePattern

All Known Implementing Classes:
  SignaturePatternImpl

    public interface SignaturePattern

AspectJ runtime representation of a signature pattern as used in various aspect members (for example, declare @method, declare @field).

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `asString()`

### Method Detail

#### asString

    String asString()

Returns:
  a string representation of this pattern